1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

P3D v4 Simple Airport Scanner 1.70 Beta

Discussion in 'Airport Design Editor' started by scruffyduck, 11 Jun 2017.

  1. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
  2. Mike B

    Mike B

    Joined:
    11 Jun 2017
    Messages:
    8
    Country:
    unitedstates
    This one gives an error pop-up box. Also cannot select FS Version other than FSX. I attached a screenshot, hope it's ok. Thanks!
     

    Attached Files:

  3. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
    Sorry, I can't replicate this at the moment. What versions of FS/P3D do you have installed? If there is a file called log.txt in the SAS folder please attach it to a post here
     
  4. Mike B

    Mike B

    Joined:
    11 Jun 2017
    Messages:
    8
    Country:
    unitedstates
    I just re-downloaded the 1.70 beta. Placed the files in a folder. Now when SAS loads, I get a popup box "SAS cannot find any FS versions". There is no log file in the SAS folder.

    I am using Prepar3d v4. The P3D v4 scenery.cfg file is located at C:\ProgramData\Lockheed Martin\Prepar3D v4\scenery.cfg which is the same path specified in SAS.
     
  5. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
    The most likely problem is that it can't find the registry entry for P3D v4. What operating system are you using?
     
  6. Mike B

    Mike B

    Joined:
    11 Jun 2017
    Messages:
    8
    Country:
    unitedstates
    I am on Windows 10. Wouldn't the new install of P3D v4 setup the correct registry?
     
  7. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
    It should. ADE is looking for HKEY_Local Machine\SOFTWARE\Lockheed Martin\Prepar3D v4 This is the same Key that the ADE 1.75 beta for P3D v4 uses and so far it seems to work.

    Perhaps you can check on your machine?
     
  8. Mike B

    Mike B

    Joined:
    11 Jun 2017
    Messages:
    8
    Country:
    unitedstates
    I have that in my registry (Local Machine has an underscore in between). Also in that same location, Prepar3d v4 Content and Prepar3d v4 Scenery. The data/keys in HKEY_Local Machine\SOFTWARE\Lockheed Martin\Prepar3D v4 are License and SetupPath.

    I'm going to download ADE and see if that can find my P3D.
     
  9. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
    Sorry I missed the underscore. SetupPath is the one that should contain the path to your installation.

    Be sure to get the ADE Version 1.75 beta to be able to check for P3D v4.
     
  10. DdD-CH

    DdD-CH

    Joined:
    Monday
    Messages:
    6
    Country:
    switzerland
    Hi,

    I had the same issue with this new version ("SAS cannot find any FS versions") and Windows 10. this means we must install ADE Version 1.75 beta to be able to use "Simple Airport Scanner 1.70 Beta"?
     
    Last edited: 20 Jun 2017 at 11:46
  11. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
    No it should not mean that. However if SAS can't find the sim versions then neither should ADE since they use the same code. However if ADE does work and SAS does not then it would suggest I made some mistakes in the SAS code and if you test it for me with ADE 1.75 then that would help me see where to look for a code error
     
  12. DdD-CH

    DdD-CH

    Joined:
    Monday
    Messages:
    6
    Country:
    switzerland
    Thank you for your answer!
    I will test that this evening and will let you know
     
  13. Mike B

    Mike B

    Joined:
    11 Jun 2017
    Messages:
    8
    Country:
    unitedstates
    ADE 1.75 does work. SAS does not. The path is correct in the registry.
     
  14. DdD-CH

    DdD-CH

    Joined:
    Monday
    Messages:
    6
    Country:
    switzerland
    Same for me, ADE 1.75 does work. SAS does not
     
  15. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
    OK - thanks - I will check the code tomorrow and see what is going wrong. Thanks again for taking the time to check this out
     
  16. FalconAF

    FalconAF

    Joined:
    12 Dec 2008
    Messages:
    5
    Country:
    us-nevada
    Jon,

    FWIW, I downloaded both the new ADE and SAS for P3Dv4. I have both P3Dv3 and P3Dv4 installed on my computer, both running fine. I also already had the P3Dv3 versions of ADE and SAS installed and working fine for P3Dv3.

    I installed ADE 1.75 Beta in a new separate folder, ran the Wizard, and it found everything fine and works fine. Then installed SAS 1.70 Beta in it's own new folder, selected P3Dv4 for it in the dropdown menu, and it runs fine with no error messages.

    Both products worked fine "out of the box" for me, as they appear to do for you too. It doesn't seem to be a coding error in SAS or I assume I would have gotten the same errors reported above for at least SAS Beta.

    Just my observations.
     
  17. Mike B

    Mike B

    Joined:
    11 Jun 2017
    Messages:
    8
    Country:
    unitedstates
    @FalconAF
    Well this is interesting. Can you check your SAS -> Help -> "About" info? This is what my 1.70 Beta shows:

    Versions:
    Application 01.07.0.0
    Engine 04.75.6366.19704

    I don't get anything in the "FS Version" dropdown menu. It is blank.

    Thanks...
     
  18. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
    That is correct as far as versions are concerned. How many different versions of FS and P3D do you have on the computer with SAS? I can't see anything wrong with the code so far
     
  19. scruffyduck

    scruffyduck Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    17 Sep 2005
    Messages:
    28,799
    Country:
    wales
    OK - I have found the problem :oops: Silly error on my part - I will fix it today. I think it will only affect people who just has P3D v4 installed.
     
  20. DdD-CH

    DdD-CH

    Joined:
    Monday
    Messages:
    6
    Country:
    switzerland
    Ah yeah, I did not specify but I reinstall everything from zero and have only P3D V4, so that could be the issue. Sorry for that.
    But if you found the problem, that's great!
     

Share This Page